// receiver.c

#include <windows.h>
#include "receiver.h"

int CALLBACK RecvDlgProc(HWND, UINT, WPARAM, LPARAM);

HANDLE hInst;
TCHAR sz[MAX_PATH];

//-----------------------------------------------------------------
int APIENTRY WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
                     LPSTR lpCmdLine, int nCmdShow)
{
    hInst = hInstance;
    DialogBox(hInst,MAKEINTRESOURCE(DLG_RECV),NULL,RecvDlgProc);
    return 0;
}

//-----------------------------------------------------------------
int CALLBACK RecvDlgProc(HWND hDlg, UINT Message, WPARAM wParam,
                         LPARAM lParam)
{
    static HWND hList = NULL;
    static int iTimeout = 0;
    static DWORD i = 0;

    switch (Message) {
        case WM_INITDIALOG:
            SetDlgItemInt(hDlg, ID_TIMEOUT, iTimeout, TRUE);
            hList = GetDlgItem(hDlg, ID_RESULT);
            SendMessage(hList, LB_RESETCONTENT, 0, 0);
            return TRUE;

        case WM_APP+100:
            wsprintf(sz, TEXT("wParam=%x, lParam=%x, Result=%x"),
                     (DWORD)wParam, (DWORD)lParam, i);
            SendMessage(hList,LB_ADDSTRING,0,(LPARAM)sz);
            Sleep(iTimeout);
            SetWindowLong(hDlg, DWL_MSGRESULT, i);
            i++;
            return TRUE;

        case WM_COMMAND:
            switch (LOWORD(wParam)) {
                case ID_DELAY:
                    iTimeout = GetDlgItemInt(hDlg, ID_TIMEOUT, 
                                             NULL, TRUE);
                    break;

                case IDCANCEL:
                    EndDialog(hDlg, TRUE);
                    return TRUE;
            }

        default:
            return FALSE;
    }
    return FALSE;

} // RecvDlgProc


